Commit 9d9f981a authored by Oliver Smith's avatar Oliver Smith Committed by Timo Teräs

aports: add support for armv7 [skip ci]

This makes it possible to provide armv7 as additional architecture in
Alpine, next to armhf. See the discussion in this ML thread:
<https://lists.alpinelinux.org/alpine-devel/6271.html>

It's done by adding armv7 next to armhf in the arch line and also
!armv7 where the arch line said !armhf. The following script was used:
parent 993843fc
......@@ -6,7 +6,7 @@ _ver=${pkgver/_/}
pkgrel=5
pkgdesc="Decentralized P2P electronic cash system"
url="https://www.bitcoin.org"
arch="all !armhf"
arch="all !armhf !armv7"
license="MIT"
makedepends="autoconf automake libtool boost-dev libressl-dev db-dev miniupnpc-dev
qt5-qtbase-dev qt5-qttools-dev protobuf-dev libqrencode-dev libevent-dev chrpath"
......
......@@ -5,7 +5,7 @@ pkgver=68.0.3440.106
pkgrel=0
pkgdesc="chromium web browser"
url="http://www.chromium.org/"
arch="x86_64 aarch64 armhf"
arch="x86_64 aarch64 armhf armv7"
license="BSD"
depends="xdg-utils"
depends_dev=""
......
......@@ -5,7 +5,7 @@ pkgver=3.8153
pkgrel=2
pkgdesc="Open source Home Automation System"
url="http://www.domoticz.com/"
arch="all !armhf"
arch="all !armhf !armv7"
license="GPL"
pkgusers="$pkgname"
pkggroups="$pkgname"
......
......@@ -5,7 +5,7 @@ pkgver=20170119
pkgrel=2
pkgdesc="Connect to Plan 9 CPU servers from other operating systems"
url="http://drawterm.9front.org/"
arch="all !armhf !aarch64 !s390x"
arch="all !armhf !armv7 !aarch64 !s390x"
license="custom"
depends=""
options="!check"
......
......@@ -7,7 +7,7 @@ _pkgver=1.0+beta20
pkgrel=0
pkgdesc="A composable build system for OCaml (formerly Jbuilder)"
url="https://github.com/ocaml/dune"
arch="all !x86 !armhf !s390x" # limited by ocaml abuild
arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml abuild
license="Apache-2.0"
checkdepends="bash"
makedepends="ocaml ocaml-findlib-dev"
......
......@@ -4,7 +4,7 @@ pkgver=0.10.13
pkgrel=2
pkgdesc="Gstreamer FFMpeg Plugin"
url="http://www.gstreamer.net"
arch="all !armhf"
arch="all !armhf !armv7"
license="GPL"
makedepends="gstreamer0.10-dev gst-plugins-base0.10-dev orc-dev coreutils
orc-dev"
......
......@@ -5,7 +5,7 @@ pkgver=2.9.1
pkgrel=1
pkgdesc="An open source host, service and network monitoring program"
url="http://www.icinga.org"
arch="all !armhf"
arch="all !armhf !armv7"
license="GPL"
depends="monitoring-plugins"
makedepends="$depends_dev cmake bison flex boost-dev yajl-dev
......
......@@ -6,7 +6,7 @@ pkgver=1.4.3
pkgrel=1
pkgdesc="Configuration frontend for Icinga 2, integrated automation"
url="http://www.icinga.org"
arch="noarch !armhf"
arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2 ${_php}-curl"
......
......@@ -5,7 +5,7 @@ pkgver=2.6.1
pkgrel=0
pkgdesc="Web Interface for Icinga2"
url="http://www.icinga.org"
arch="noarch !armhf"
arch="noarch !armhf !armv7"
license="GPL"
_php=php7
depends="icinga2 $_php ${_php}-gd ${_php}-ldap ${_php}-intl ${_php}-pgsql
......
......@@ -7,7 +7,7 @@ _pkgrel=jumbo-1
pkgrel=10
pkgdesc="John the Ripper password cracker"
url="http://www.openwall.com/john"
arch="x86_64 armhf ppc64le"
arch="x86_64 armhf armv7 ppc64le"
license="GPL-2.0"
depends="nss"
options="!strip"
......
......@@ -5,7 +5,7 @@ pkgver=1.4.1
pkgrel=0
pkgdesc="Lightweight Ruby"
url="http://mruby.org"
arch="all !armhf"
arch="all !armhf !armv7"
license="MIT"
depends=""
makedepends="$depends_dev bison ruby"
......
......@@ -5,7 +5,7 @@ pkgver=1.9
pkgrel=0
pkgdesc="The missing terminal file browser for X"
url="https://github.com/jarun/nnn"
arch="all !armhf" # armhf: fails to build
arch="all !armhf !armv7" # armhf: fails to build
license="BSD-2-Clause"
makedepends="ncurses-dev readline-dev"
options="!check" # no tests provided and `nnn -v` requires tty
......
......@@ -10,7 +10,7 @@ _ocamlver=${pkgver%.*}
pkgrel=1
pkgdesc="Caml preprocessor and pretty-printer"
url="https://github.com/ocaml/camlp4/releases"
arch="all !x86 !armhf !s390x" # ocaml not avail on excluded platforms
arch="all !x86 !armhf !armv7 !s390x" # ocaml not avail on excluded platforms
license="LGPL-2.0-or-later-WITH-linking-exception"
depends="ocaml-runtime=~$_ocamlver ocaml-ocamlbuild"
depends_dev="$pkgname=$pkgver-r$pkgrel"
......
......@@ -6,7 +6,7 @@ pkgver=1.8.0
pkgrel=0
pkgdesc="OCaml package manager"
url="http://projects.camlcity.org/projects/findlib.html"
arch="all !x86 !armhf !s390x" # limited by ocaml abuild
arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml abuild
license="MIT"
depends="ocaml ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel"
......
......@@ -6,7 +6,7 @@ pkgver=2.18.6
pkgrel=0
pkgdesc="An OCaml interface to GTK+ 2.x"
url="http://lablgtk.forge.ocamlcore.org/"
arch="all !x86 !armhf !s390x" # limited by ocaml aport
arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.1-only-WITH-linking-exception"
depends="ocaml-runtime"
depends_dev="$pkgname=$pkgver-r$pkgrel
......
......@@ -6,7 +6,7 @@ pkgver=4.06.1
pkgrel=2
pkgdesc="Main implementation of the Caml programming language"
url="http://ocaml.org/"
arch="all !x86 !armhf !s390x"
arch="all !x86 !armhf !armv7 !s390x"
license="LGPL-2.1-or-later-WITH-linking-exception"
depends="$pkgname-runtime=$pkgver-r$pkgrel gcc"
makedepends="gdbm-dev libc-dev ncurses-dev zlib-dev"
......
......@@ -6,7 +6,7 @@ pkgver=0.12.0
pkgrel=3
pkgdesc="Generic build tool with built-in rules for building OCaml library and programs"
url="https://github.com/ocaml/ocamlbuild"
arch="all !x86 !armhf !s390x" # limited by ocaml aport
arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.0-or-later-WITH-linking-exception"
checkdepends="ocaml-compiler-libs ocaml-findlib"
depends="ocaml-$pkgname=$pkgver-r$pkgrel cmd:tput"
......
......@@ -5,7 +5,7 @@ _commitid=96800576209bbf02939a3d71dec91ec1c1da586b
pkgrel=0
pkgdesc="Commandline OMX player for Raspberry Pi"
url="https://github.com/popcornmix/omxplayer"
arch="armhf"
arch="armhf armv7"
license="GPL-2.0"
depends="ttf-freefont"
makedepends="linux-headers raspberrypi-dev ffmpeg-dev pcre-dev
......
......@@ -6,7 +6,7 @@ pkgver=1.2.2
pkgrel=4
pkgdesc="OCaml Package Manager"
url="https://opam.ocaml.org"
arch="all !x86 !armhf !s390x" # ocaml not avail on excluded platforms
arch="all !x86 !armhf !armv7 !s390x" # ocaml not avail on excluded platforms
license="LGPL-3.0"
depends="ocaml ocaml-camlp4 curl tar unzip rsync aspcud patch"
makedepends="ocaml-compiler-libs ocaml-camlp4-dev"
......
......@@ -6,7 +6,7 @@ pkgver=1.1.0
pkgrel=0
pkgdesc="A simple interface to everyday GPIO components used with Raspberry Pi"
url="http://gpiozero.readthedocs.org"
arch="armhf"
arch="armhf armv7"
license="BSD-3-Clause"
depends="python2"
depends_dev=""
......
......@@ -6,7 +6,7 @@ pkgver=0.6.3
pkgrel=1
pkgdesc="This package provides a class to control the GPIO on a Raspberry Pi."
url="https://pypi.python.org/pypi/RPi.GPIO"
arch="armhf"
arch="armhf armv7"
license="MIT"
makedepends="python2-dev python3-dev py-setuptools"
subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
......
......@@ -6,7 +6,7 @@ pkgver=2.2.0
pkgrel=0
pkgdesc="Python module to control the Raspberry Pi Sense HAT"
url="https://www.raspberrypi.org/products/sense-hat/"
arch="armhf"
arch="armhf armv7"
license="BSD-3-Clause"
depends=""
# Package doesn't provide tests
......
......@@ -8,7 +8,7 @@ pkgver=1.7.9
pkgrel=0
pkgdesc="Fast, free and open-source spam filtering system"
url="https://rspamd.com"
arch="x86_64 x86 armhf ppc64le"
arch="x86_64 x86 armhf armv7 ppc64le"
license="Apache-2.0 BSD-1-Clause BSD-2-Clause BSD-3-Clause CC0 LGPL-2.1-or-later
LGPL-3.0-only MIT Zlib"
options="!check"
......
......@@ -4,7 +4,7 @@ pkgver=0.28.2
pkgrel=0
pkgdesc="A digital photo organizer designed for the GNOME desktop environment"
url="https://wiki.gnome.org/Apps/Shotwell"
arch="all !armhf !aarch64"
arch="all !armhf !armv7 !aarch64"
license="CC-BY-SA-3.0 LGPL-2.1-or-later"
install="shotwell.post-upgrade shotwell.post-install shotwell.pre-deinstall"
subpackages="$pkgname-lang $pkgname-doc"
......
......@@ -7,7 +7,7 @@ pkgver=0.14.50
pkgrel=0
pkgdesc="Open Source Continuous File Synchronization"
url="https://syncthing.net/"
arch="all !armhf"
arch="all !armhf !armv7"
license="MPL-2.0"
pkgusers="$pkgname"
pkggroups="$pkgname"
......
......@@ -7,7 +7,7 @@ pkgver=0.11.8
pkgrel=0
pkgdesc="Building, changing and combining infrastructure safely and efficiently"
url="https://www.terraform.io/"
arch="all !armhf"
arch="all !armhf !armv7"
license="MPL-2.0"
makedepends="go"
source="${pkgname}-${pkgver}.tar.gz::https://github.com/hashicorp/terraform/archive/v$pkgver.tar.gz"
......
......@@ -8,7 +8,7 @@ pkgdesc="Virtual Private Network (VPN) daemon (pre-release)"
url="http://tinc-vpn.org/"
# s390x: tests hang
# armhf: tests fail
arch="all !s390x !armhf"
arch="all !s390x !armhf !armv7"
license="GPL-2.0"
makedepends="linux-headers ncurses-dev readline-dev
zlib-dev lzo-dev libressl-dev texinfo
......
......@@ -10,7 +10,7 @@ pkgdesc="Efficient file-synchronization tool"
url="https://www.cis.upenn.edu/~bcpierce/unison/"
# ocaml is not built for x86, armhf, s390x
# ocaml-lablgtk is not built for aarch64
arch="all !x86 !armhf !aarch64 !s390x"
arch="all !x86 !armhf !armv7 !aarch64 !s390x"
license="GPL-3.0+"
makedepends="ocaml ocaml-lablgtk-dev linux-headers emacs-nox bash"
subpackages="$pkgname-gui"
......
......@@ -8,7 +8,7 @@ pkgdesc="NGINX Unit is a dynamic web application server"
url="https://unit.nginx.org/"
# armhf, x86: tests fail (https://github.com/nginx/unit/issues/118)
# s390x: tests fail
arch="all !armhf !x86 !s390x"
arch="all !armhf !armv7 !x86 !s390x"
license="Apache-2.0"
_phpver=7
makedepends="perl-dev php$_phpver-dev php$_phpver-embed python3-dev ruby-dev"
......
......@@ -5,7 +5,7 @@ _commitid=5edd177
pkgrel=0
pkgdesc="command line interface for Raspberry Pi gpio"
url="http://wiringpi.com/the-gpio-utility/"
arch="armhf"
arch="armhf armv7"
license="LGPL-3.0"
depends=""
makedepends="linux-headers"
......
......@@ -6,7 +6,7 @@ pkgrel=1
pkgdesc="Xpra is 'screen for X' & allows you to run X programs, usually on a remote host over SSH or encrypted tcp"
url="http://xpra.org"
# !armhf: fails to build
arch="all !armhf"
arch="all !armhf !armv7"
license="GPL-2.0-or-later"
depends="py-gobject py-gtk py-gtkglext py-imaging py-opencl>=2018.1.1-r1 py-rencode py2-cryptography
py2-lz4 py2-numpy py2-pillow py2-xxhash setxkbmap xf86-video-dummy xorg-server xvfb"
......
......@@ -5,7 +5,7 @@ pkgver=1.3.5
pkgrel=0
pkgdesc="Zstandard - Fast real-time compression algorithm"
url="http://www.zstd.net"
arch="all !armhf"
arch="all !armhf !armv7"
license="BSD-3-Clause GPL-2.0-or-later"
checkdepends="file"
subpackages="$pkgname-static $pkgname-libs $pkgname-dev $pkgname-doc"
......
......@@ -19,7 +19,7 @@ pkgrel=$(( $_krel + $_rel ))
pkgdesc="NS-Link Device Drivers $_ver for $_kpkg"
url="http://www.comtrol.com/resources/product-resources-white-papers/ns-link-device-drivers"
arch="x86 x86_64 armhf"
arch="x86 x86_64 armhf armv7"
license="GPL-2.0"
depends="$_kpkg=$_kpkgver"
makedepends="$_kpkg-dev=$_kpkgver linux-headers"
......
......@@ -4,7 +4,7 @@ pkgver=3.0.4
pkgrel=1
pkgdesc="Development Libraries and headers for EFI"
url="ftp://ftp.hpl.hp.com/pub/linux-ia64"
arch="all !armhf !ppc64le !s390x"
arch="all !armhf !armv7 !ppc64le !s390x"
license="BSD"
depends=""
depends_dev=""
......
......@@ -4,7 +4,7 @@ pkgver=2.14.1
pkgrel=1
pkgdesc="Graphical IRC client based on XChat"
url="https://hexchat.github.io"
arch="all !armhf"
arch="all !armhf !armv7"
license="GPL-2.0-or-later"
depends=""
makedepends="dbus-glib-dev gtk+2.0-dev iso-codes libnotify-dev libproxy-dev
......
......@@ -26,7 +26,7 @@ source="https://kernel.org/pub/linux/kernel/v4.x/linux-$_kernver.tar.xz
config-changes-rpi2.armhf
"
subpackages=""
arch="armhf aarch64"
arch="armhf armv7 aarch64"
license="GPL-2.0"
_flavors=
for _i in $source; do
......
......@@ -5,7 +5,7 @@ pkgver=1.20180417
pkgrel=0
pkgdesc="Bootloader files for the Raspberry Pi"
url=https://github.com/raspberrypi/firmware
arch="armhf aarch64"
arch="armhf armv7 aarch64"
license="custom"
depends=""
makedepends=""
......
......@@ -5,7 +5,7 @@ _commitid=d491937e8d2f5015c418cbc0c2793020aed4c8e5
pkgrel=0
pkgdesc="Raspberry Pi support tools"
url="https://github.com/raspberrypi/userland"
arch="armhf aarch64"
arch="armhf armv7 aarch64"
license="BSD"
depends=""
depends_dev="linux-headers raspberrypi-libs"
......
......@@ -5,7 +5,7 @@ pkgver=0.7.8
pkgrel=0
pkgdesc="Solaris Porting Layer (userland)"
url="http://zfsonlinux.org"
arch="all !armhf"
arch="all !armhf !armv7"
license="GPL-2.0-or-later"
options="!check" # No test suite
makedepends="automake autoconf libtool linux-headers"
......
......@@ -7,7 +7,7 @@ pkgver=2018.05
pkgrel=2
pkgdesc="u-boot bootloader common files"
url="http://www.denx.de/wiki/U-Boot/"
arch="armhf aarch64"
arch="armhf armv7 aarch64"
license="GPL-2.0"
depends=""
depends_dev=""
......
......@@ -6,7 +6,7 @@ pkgver=4.11.0
pkgrel=0
pkgdesc="Xen hypervisor"
url="http://www.xen.org/"
arch="x86_64 armhf aarch64"
arch="x86_64 armhf armv7 aarch64"
license="GPL"
depends="bash iproute2 logrotate"
depends_dev="libressl-dev python2-dev e2fsprogs-dev gettext zlib-dev ncurses-dev
......
......@@ -5,7 +5,7 @@ pkgver=0.7.8
pkgrel=0
pkgdesc="ZFS for Linux"
url="http://zfsonlinux.org"
arch="all !armhf"
arch="all !armhf !armv7"
license="CDDL"
depends_dev="glib-dev e2fsprogs-dev util-linux-dev libtirpc-dev attr-dev"
makedepends="$depends_dev automake autoconf libtool linux-headers"
......
......@@ -5,7 +5,7 @@ pkgver=16
pkgrel=0
pkgdesc="Linux user-space application to modify the Intel Extensible Firmware Interface"
url="https://github.com/rhboot/efibootmgr"
arch="x86 x86_64 armhf aarch64"
arch="x86 x86_64 armhf armv7 aarch64"
license="GPL-2.0"
depends=""
makedepends="efivar-dev linux-headers popt-dev gettext-dev"
......
......@@ -5,7 +5,7 @@ pkgver=36
pkgrel=0
pkgdesc="Tools and library to manipulate EFI variables"
url="https://github.com/rhboot/efivar"
arch="x86 x86_64 armhf aarch64 ppc64le"
arch="x86 x86_64 armhf armv7 aarch64 ppc64le"
license="LGPL-2.1"
depends=""
depends_dev=""
......
......@@ -5,7 +5,7 @@ pkgver=3.26.0
pkgrel=1
pkgdesc="data server for evolution"
url="http://projects.gnome.org/evolution"
arch="x86_64 x86 ppc64le aarch64 armhf"
arch="x86_64 x86 ppc64le aarch64 armhf armv7"
license="GPL"
options="suid !check"
depends_dev="libgdata-dev db-dev gcr-dev icu-dev"
......
......@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="evolution mail client"
url="http://projects.gnome.org/evolution"
# limited by webkit2gtk
arch="x86 x86_64 ppc64le aarch64 armhf"
arch="x86 x86_64 ppc64le aarch64 armhf armv7"
license="GPL"
depends="highlight gsettings-desktop-schemas"
depends_dev="itstool libxml2-dev gcr-dev enchant-dev libcanberra-dev
......
......@@ -5,7 +5,7 @@ pkgver=2.1
pkgrel=0
pkgdesc="C library for implementing foreign function calls in embedded interpreters"
url="http://www.gnu.org/software/libffcall"
arch="all !x86 !armhf"
arch="all !x86 !armhf !armv7"
license="GPL-2.0-or-later"
depends=""
depends_dev=""
......
......@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="Lightweight Shipper for Logs"
pkgusers="root"
url="https://www.elastic.co/products/beats"
arch="all !armhf !aarch64"
arch="all !armhf !armv7 !aarch64"
license="Apache-2.0"
depends=""
makedepends="go"
......
......@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="A static typechecker for JavaScript"
url="https://flow.org"
# x86, armhf, s390x: limited by ocaml aport
arch="all !x86 !armhf !s390x"
arch="all !x86 !armhf !armv7 !s390x"
license="MIT"
checkdepends="bash diffutils nodejs yarn"
makedepends="
......
......@@ -4,7 +4,7 @@ pkgver=2.8.4
pkgrel=0
pkgdesc="FS-UAE emulator launcher."
url="https://fs-uae.net/launcher"
arch="noarch !armhf !aarch64 !s390x" # fs-uae not avail
arch="noarch !armhf !armv7 !aarch64 !s390x" # fs-uae not avail
license="GPL-2.0-only"
depends="fs-uae~$pkgver py3-qt5"
makedepends="py3-setuptools gettext"
......
......@@ -6,7 +6,7 @@ pkgver=2.8.4
pkgrel=1
pkgdesc="Amiga emulator."
url="https://fs-uae.net/"
arch="all !armhf !aarch64 !s390x" # --enable-jit not supported for these arches
arch="all !armhf !armv7 !aarch64 !s390x" # --enable-jit not supported for these arches
license="GPL-2.0-only"
makedepends="zip clang-dev sdl2-dev libpng-dev libx11-dev libxi-dev openal-soft-dev linux-headers libmpeg2-dev glib-dev"
subpackages="$pkgname-lang"
......
......@@ -4,7 +4,7 @@ pkgver=1.48.3
pkgrel=0
pkgdesc="GNOME javascript library"
url="https://wiki.gnome.org/Projects/Gjs"
arch="all !armhf"
arch="all !armhf !armv7"
license="LGPL"
depends=""
depends_dev="gobject-introspection-dev mozjs-38-dev"
......
......@@ -5,7 +5,7 @@ pkgrel=1
pkgdesc="GNOME control center"
url="http://www.gnome.org/"
# limited by gnome-online-accounts
arch="all !armhf !s390x"
arch="all !armhf !armv7 !s390x"
license="GPL"
makedepends="clutter-dev clutter-gtk-dev
......
......@@ -4,7 +4,7 @@ pkgver=3.26.0
pkgrel=0
pkgdesc="GNOME session manager"
url="http://www.gnome.org/"
arch="all !aarch64 !armhf !s390x"
arch="all !aarch64 !armhf !armv7 !s390x"
license="GPL"
depends="gnome-shell"
makedepends="gnome-settings-daemon-dev libsm-dev
......
......@@ -4,7 +4,7 @@ pkgver=3.26.0
pkgrel=0
pkgdesc="GNOME shell"
url="https://wiki.gnome.org/Projects/GnomeShell"
arch="all !aarch64 !armhf !s390x"
arch="all !aarch64 !armhf !armv7 !s390x"
license="GPL"
depends="accountsservice caribou gdm"
makedepends="gnome-desktop-dev
......
......@@ -5,7 +5,7 @@ pkgrel=0
pkgdesc="GNOME terminal client"
url="http://wiki.gnome.org/Apps/Terminal"
# limited by gnome-shell
arch="all !armhf !aarch64 !s390x"
arch="all !armhf !armv7 !aarch64 !s390x"
license="GPL"
depends_dev="gnome-desktop-dev vte3-dev dconf-dev gconf-dev nautilus-dev"
makedepends="$depends_dev gnome-shell itstool libxml2-utils vala desktop-file-utils"
......
......@@ -5,7 +5,7 @@ pkgver=1.14.0
pkgrel=0
pkgdesc="The Java gRPC implementation. HTTP/2 based RPC"
url="https://github.com/grpc/grpc-java"
arch="all !aarch64 !armhf !s390x" # fails to build on aarch64 and armhf for some strange reason
arch="all !aarch64 !armhf !armv7 !s390x" # fails to build on aarch64 and armhf for some strange reason
license="Apache2"
depends="openjdk8-jre"
makedepends="openjdk8 protobuf-dev"
......
......@@ -5,7 +5,7 @@ pkgver=1.0.7
pkgrel=7
pkgdesc="Handbrake video transcoder"
url="https://handbrake.fr"
arch="x86_64 x86 armhf ppc64le"
arch="x86_64 x86 armhf armv7 ppc64le"
license="GPL-2.0"
makedepends="yasm autoconf libtool zlib-dev libbz2 libogg-dev libtheora-dev
libvorbis-dev libsamplerate-dev fribidi-dev freetype-dev
......
......@@ -6,7 +6,7 @@ pkgver=2.1.0
pkgrel=1
pkgdesc="Manage Business Processes in Icinga Web 2"
url="http://www.icinga.org"
arch="noarch !armhf"
arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director"
......
......@@ -6,7 +6,7 @@ pkgver=1.0.0
pkgrel=1
pkgdesc="Provide CSV, JSON, XML and YAML files as an Import Source for the Icinga Director"
url="http://www.icinga.org"
arch="noarch !armhf"
arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director ${_php}-xml"
......
......@@ -6,7 +6,7 @@ pkgver=2.0.0
pkgrel=1
pkgdesc="Generic ticket system integration into Icinga web 2"
url="http://www.icinga.org"
arch="noarch !armhf"
arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director"
......
......@@ -6,7 +6,7 @@ pkgver=1.1.0
pkgrel=0
pkgdesc="Integrate PNP graphs into Icinga Web 2"
url="http://www.icinga.org"
arch="noarch !armhf"
arch="noarch !armhf !armv7"
license="GPL-2.0"
_php=php7
depends="icingaweb2-module-director"
......
......@@ -19,7 +19,7 @@ pkgrel=$(( $_krel + $_rel ))
pkgdesc="Linux kernel netflow sensor module"
url="http://ipt-netflow.sourceforge.net/"
arch="x86 x86_64 armhf"
arch="x86 x86_64 armhf armv7"
license="GPL-3.0-or-later"
depends="$_kpkg=$_kpkgver"
makedepends="$_kpkg-dev=$_kpkgver iptables-dev bash"
......
......@@ -6,7 +6,7 @@ pkgver=3.1.0
pkgrel=3
pkgdesc="Compiler from OCaml to Javascript"
url="http://ocsigen.org/js_of_ocaml/"
arch="all !x86 !armhf !s390x" # limited by ocaml aport
arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="LGPL-2.0-or-later"
depends="
$pkgname-compiler=$pkgver-r$pkgrel
......
......@@ -5,7 +5,7 @@ pkgver=1.2.0
pkgrel=0
pkgdesc="Alternative LAZ implementation for C++ and JavaScript"
url="https://github.com/hobu/laz-perf"
arch="all !armhf !s390x" # armhf: io_test segfaults
arch="all !armhf !armv7 !s390x" # armhf: io_test segfaults
license="LGPL-2.0-or-later"
makedepends="cmake"
install=""
......
......@@ -8,7 +8,7 @@ _pkghome=var/lib/$pkgname
_php=php7
pkgdesc="High-performance, lightweight, open source HTTP server"
url="https://open.litespeedtech.com"
arch="x86 x86_64 armhf"
arch="x86 x86_64 armhf armv7"
license="GPL-3.0"
pkgusers=litespeed
pkggroups=litespeed
......
......@@ -5,7 +5,7 @@ pkgver=3.0.5
pkgrel=0
pkgdesc="Context sensitive completion for OCaml"
url="https://ocaml.github.io/merlin/"
arch="all !x86 !armhf !s390x" # limited by ocaml aport
arch="all !x86 !armhf !armv7 !s390x" # limited by ocaml aport
license="MIT"
depends="ocaml ocaml-findlib"
makedepends="
......
......@@ -6,7 +6,7 @@ pkgrel=0
pkgdesc="MetricBeat - Lightweight shipper for system and service statistics"
pkgusers="root"
url="https://www.elastic.co/products/beats"
arch="all !aarch64 !armhf"
arch="all !aarch64 !armhf !armv7"
license="ASL 2.0"
depends=""
makedepends="go"
......
......@@ -7,7 +7,7 @@ pkgdesc="A lean and efficient Python implementation for MCUs and constrained sys
url="http://www.micropython.org/"
# ../py/persistentcode.c:397:2: error: #error mp_raw_code_save_file not implemented for this platform
arch="x86 x86_64 armhf !ppc64le"
arch="x86 x86_64 armhf armv7 !ppc64le"
license="MIT"
depends=""
......
......@@ -4,7 +4,7 @@ pkgver=1.9.3
pkgrel=1
pkgdesc="Client library written in C for MongoDB"
url="https://github.com/mongodb/mongo-c-driver"
arch="all !x86 !armhf" # testsuite fails on x86 and armhf
arch="all !x86 !armhf !armv7" # testsuite fails on x86 and armhf
license="Apache-2.0"
depends_dev="libressl-dev snappy-dev zlib-dev"
makedepends="$depends_dev autoconf automake libbson-dev libtool py3-sphinx"
......
......@@ -4,7 +4,7 @@ pkgver=38.8.0